.projects__accordion {
  position: relative;
  max-width: 1220px;
  width: 90vw;
  z-index: 1;
}

.projects__accordion__list-items {
  display: flex;
  justify-content: end;
  width: 100%;
  border-radius: 0 36px 36px 0;
  /* background-color: var(--darkBlue500); */
  overflow: hidden;
}

.projects__accordion__list-items__accordion-item {
  display: flex;
  flex-grow: 0;
  width: 53px;
  height: 613px;
  background-color: var(--darkBlue500);
  transition: flex-grow .7s ease-in-out;
}

/* .projects__accordion__list-items__accordion-item:first-child {
  flex-grow: 1;
} */

.projects__accordion__list-items__accordion-item.--expanded-item {
  flex-grow: 1; 
}

.projects__accordion__list-items__accordion-item:nth-child(1) {
  z-index: 1;
}

.projects__accordion__list-items__accordion-item:nth-child(2) {
  background-color: var(--darkBlue600);
  z-index: 2;
}

.projects__accordion__list-items__accordion-item:nth-child(3) {
  background-color: var(--darkblue400);
  z-index: 3;
}

.projects__accordion__list-items__accordion-item:nth-child(4) {
  background-color: var(--darkblue300);
  z-index: 4;
}

.projects__accordion__list-items__accordion-item:nth-child(5) {
  z-index: 5;
}

.projects__accordion__list-items__accordion-item.--expanded-item .projects__accordion__list-items__accordion-item__label {
  border-radius: 0;
}

.projects__accordion__list-items__accordion-item__label {
  display: flex;
  width: max-content;
  height: 100%;
  padding: 21px 0px;
  background-color: var(--darkBlue800);
  border-radius: 0 36px 36px 0;
  pointer-events: none;
  transition: all .3s ease;
}

.projects__accordion__list-items__accordion-item__label.--default-label {
  max-width: 53px;
  background-color: var(--darkBlue900);
  border-radius: 0;
  opacity: 1;
  -webkit-transition: all .6s ease-in-out;
  -moz-transition: all .6s ease-in-out;
  -ms-transition: all .6s ease-in-out;
  -o-transition: all .6s ease-in-out;
  transition: all .6s ease-in-out;
  /* transition-delay: 300ms; */
}

.projects__accordion__list-items__accordion-item.--expanded-item .projects__accordion__list-items__accordion-item__label.--default-label {
  max-width: 0px;
  opacity: 0;
  -webkit-transition: all .25s ease-in-out;
  -moz-transition: all .25s ease-in-out;
  -ms-transition: all .25s ease-in-out;
  -o-transition: all .25s ease-in-out;
  transition: all .25s ease-in-out;
  /* transition-delay: 300ms; */
}

.projects__accordion__list-items__accordion-item:nth-child(3) .projects__accordion__list-items__accordion-item__label {
  background-color: var(--darkBlue600);
}

.projects__accordion__list-items__accordion-item:nth-child(4) .projects__accordion__list-items__accordion-item__label {
  background-color: var(--darkblue400);
}

.projects__accordion__list-items__accordion-item:nth-child(5) .projects__accordion__list-items__accordion-item__label {
  background-color: var(--darkblue300);
}

.projects__accordion__list-items__accordion-item__label__wrapper-label {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 53px;
  height: 100%;
  padding: 0px;
  writing-mode: vertical-rl;
  white-space: nowrap;
  transform: rotate(180deg);
  overflow: visible;
}

.projects__accordion__list-items__accordion-item__label__wrapper-label img {
  width: 32px;
  transform: rotate(180deg);
}

.projects__accordion__list-items__accordion-item__label h3 {
  font-family: CaviarDreams-Bold, sans-serif;
  font-size: clamp(2rem, 3vw, 2.4rem);
  font-weight: 700;
  color: var(--blue100);
}

.projects__accordion__list-items__accordion-item__wrapper-content {
  position: relative;
  display: flex;
  justify-content: space-between;
  width: 100%;
  gap: 36px;
}

.projects__accordion__list-items__accordion-item__wrapper-content:first-child {
  opacity: 1;
}

.projects__accordion__list-items__accordion-item__wrapper-content:first-child .wrapper-text {
  margin-left: 64px;
  min-width: 245px;
}

.wrapper-icon {
  position: absolute;
  max-width: 160px;
  top: -60px;
  right: -75px;
}

.projects__accordion__list-items__accordion-item__wrapper-content:first-child .wrapper-icon {
  position: absolute;
  top: -60px;
  right: -165px;
}

.projects__accordion__list-items__accordion-item__wrapper-content .wrapper-text {
  position: absolute;
  left: 64px;
  bottom: 36px;
  max-width: 245px;
  font-family: 'CaviarDreams-Bold', sans-serif;
  font-size: clamp(1.6rem, 5vw, 3.5rem);
  color: var(--blue100);
  opacity: 0;
  -webkit-transition: opacity .15s ease-in-out;
  -moz-transition: opacity .15s ease-in-out;
  -ms-transition: opacity .15s ease-in-out;
  -o-transition: opacity .15s ease-in-out;
  transition: opacity .15s ease-in-out;
  writing-mode: vertical-rl;
  transform: rotate(180deg);
  z-index: 1;
}

.projects__accordion__list-items__accordion-item__wrapper-content .wrapper-text.--text-visible {
  opacity: 1; 
  -webkit-transition: opacity .6s ease-in-out;
  -moz-transition: opacity .6s ease-in-out;
  -ms-transition: opacity .6s ease-in-out;
  -o-transition: opacity .6s ease-in-out;
  transition: opacity .6s ease-in-out;
  transition-delay: 300ms;
}

.projects__accordion__list-items__accordion-item__wrapper-content .wrapper-text h3 {
  margin-bottom: 6px;
  font-size: clamp(2.4rem, 3vw, 3rem);
  line-height: clamp(1rem, 10vw, 5rem);
  color: var(--blue100);
}

.projects__accordion__list-items__accordion-item__wrapper-content .wrapper-text p {
  font-weight: 300;
  font-size: clamp(1.4rem, 10vw, 1.6rem);
  line-height: clamp(1.6rem, 10vw, 2.2rem);
  color: var(--blue100);
}

.projects__accordion__list-items__accordion-item__wrapper-content .wrapper-text .projects-mobile-call-to-action {
  display: none;;
}

.projects__accordion__list-items__accordion-item__wrapper-content .wrapper-image {
  position: relative;
  width: 100%;

  opacity: 0;
  -webkit-transition: opacity .25s ease-in-out;
  -moz-transition: opacity .25s ease-in-out;
  -ms-transition: opacity .25s ease-in-out;
  -o-transition: opacity .25s ease-in-out;
  transition: opacity .25s ease-in-out;
}

.projects__accordion__list-items__accordion-item__wrapper-content .wrapper-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.projects__accordion__list-items__accordion-item__wrapper-content .wrapper-image.--image-visible {
  position: relative;
  max-width: 100%;

  opacity: 1;
  -webkit-transition: opacity .6s ease-in-out;
  -moz-transition: opacity .6s ease-in-out;
  -ms-transition: opacity .6s ease-in-out;
  -o-transition: opacity .6s ease-in-out;
  transition: opacity .6s ease-in-out;
  transition-delay: 450ms;
}

.projects__accordion__list-items__accordion-item__wrapper-content .wrapper-image a{
  position: absolute;
  bottom: 21px;
  width: 100%;
  padding: 6px 0px;
  background-color: var(--green);
  text-align: center;
  font-family: 'Kanit', sans-serif;
  font-size: clamp(2rem, 3vw, 2rem);
  font-weight: 700;
  color: #fff;
  transition: all .3s;
}

.projects__accordion__list-items__accordion-item__wrapper-content .wrapper-image a:focus{
  overflow: hidden;
}

.projects__accordion__list-items__accordion-item__wrapper-content .wrapper-image a:hover{
  background-color: #2b8a3f;
}

@media (min-width: 1500px) {
  .projects__accordion {
    max-width: 1220px;
    width: 90vw;
    margin: 0 auto;
    z-index: 1;
  }

  .projects__accordion__list-items {
    border-radius: 36px;
  }
  
}

@media (max-width: 1020px) {

  .projects__accordion {
    margin: 36px 36px;
  }

  .projects__accordion__list-items {
    display: flex;
    justify-content: end;
    width: 100%;
    border-radius: 20px;
    background-color: var(--purple600);
    overflow: hidden;
    flex-direction: column;
  }

  .projects__accordion__list-items__accordion-item {
    flex-direction: column;
    width: 100%;
    height: auto;
  }

  .projects__accordion__list-items__accordion-item__label {
    width: 100%;
    /* height: 100%; */
    padding: 10px 24px;
    border-radius: 0;
  }

  .projects__accordion__list-items__accordion-item__label.--default-label {
    max-width: initial;
  }

  .projects__accordion__list-items__accordion-item.--expanded-item .projects__accordion__list-items__accordion-item__label.--default-label {
    max-width: initial;
  }

  .projects__accordion__list-items__accordion-item__label__wrapper-label {
    width: 100%;
    writing-mode: initial;
    white-space: initial;
    transform: rotate(0deg);
  }

  .projects__accordion__list-items__accordion-item__label__wrapper-label img {
    width: 32px;
    transform: rotate(0deg);
  }
  
  .projects__accordion__list-items__accordion-item.--expanded-item .projects__accordion__list-items__accordion-item__label.--default-label {
    opacity: 1;
    background-color: var(--darkBlue900);
  }
  
  .projects__accordion__list-items__accordion-item.--expanded-item .projects__accordion__list-items__accordion-item__wrapper-content{
    height: auto;
    max-height: 395px;
    opacity: 1;
    z-index: 1;
    transition: max-height .7s ease-in-out;
  }
  
  .projects__accordion__list-items__accordion-item__wrapper-content {
    max-height: 0px;
    opacity: 0;
    overflow: hidden;
    transition: max-height .7s ease-in-out;
  }

  .projects__accordion__list-items__accordion-item__wrapper-content .wrapper-text {
    left: initial;
  }
  
  /* .projects__accordion__list-items__accordion-item__wrapper-content .wrapper-image.--image-visible {
    max-width: 290px;
  } */

  .projects__accordion__list-items__accordion-item__wrapper-content .wrapper-image a{
    bottom: 0px;
  }

  .projects__section-border {
    display: none;
    min-width: 90vw !important;
  }
}

@media (max-width: 600px) {
  .projects__accordion {
    width: 90vw;
    margin: 36px auto;
  }

  .projects__accordion__list-items__accordion-item.--expanded-item .projects__accordion__list-items__accordion-item__wrapper-content{
    height: auto;
    max-height: 280px;
    opacity: 1;
    z-index: 1;
    transition: all .3s ease-in-out;
  }
  
  .projects__accordion__list-items__accordion-item__wrapper-content .wrapper-image.--image-visible {
    -webkit-transition: all .3s ease;
    -moz-transition: all .3s ease;
    -ms-transition: all .3s ease;
    -o-transition: all .3s ease;
    transition: all .3s ease;
    transition-delay: 450ms;
  }

  /* .projects__accordion__list-items__accordion-item__wrapper-content .wrapper-image.--image-visible {
    display: none;
  } */

  .projects__accordion__list-items__accordion-item__wrapper-content .wrapper-text {
    max-width: 100%;
    padding: 36px 24px 24px 24px;
    margin-left: 0px;
  }

  .projects__accordion__list-items__accordion-item__wrapper-content .wrapper-text h3 {
    display: none;
  }

  .wrapper-icon {
    position: absolute;
    max-width: 160px;
    top: 0px;
    right: -63px;
    opacity: .4;
  }

  .projects__accordion__list-items__accordion-item__wrapper-content .wrapper-text .projects-mobile-call-to-action {
    display: block;
    max-width: max-content;
    margin-top: 16px;
    padding: 6px 12px;
    background-color: var(--green);
    border-radius: 8px;
    text-align: center;
    font-family: 'Kanit', sans-serif;
    font-size: clamp(1.4rem, 3vw, 1.6rem);
    font-weight: 600;
    color: #fff;
    transition: all .3s;
  }

  .projects__accordion__list-items__accordion-item__wrapper-content .wrapper-text .projects-mobile-call-to-action:hover{
    background-color: #2b8a3f;
  }
}